## Class TActiveCustomValidatorClientSide

Description

Custom Validator callback client side options class.

- since: 3.1
- version: $Id: TActiveCustomValidator.php 1791 2007-03-30 05:04:30Z wei $
- author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Located in /Web/UI/ActiveControls/TActiveCustomValidator.php (line 169)

    TComponent
       |
       --TClientSideOptions
          |
          --TCallbackClientSide
             |
             --TActiveCustomValidatorClientSide

Method Summary
boolean getObserveChanges ()
string getOnValidate ()
string getOnValidationError ()
string getOnValidationSuccess ()
void setObserveChanges (boolean $value)
void setOnValidate (string $javascript)
void setOnValidationError (string $javascript)
void setOnValidationSuccess (string $javascript)
Methods
getObserveChanges (line 236)

- return: true to observe changes.
- access: public

boolean getObserveChanges ()
getOnValidate (line 174)

- return: javascript code for client-side OnValidate event.
- access: public

string getOnValidate ()
getOnValidationError (line 220)

- return: javascript code for client-side OnError event.
- access: public

string getOnValidationError ()
getOnValidationSuccess (line 202)

- return: javascript code for client-side OnSuccess event.
- access: public

string getOnValidationSuccess ()
setObserveChanges (line 228)

- access: public

void setObserveChanges (boolean $value)

- boolean $value: true to revalidate when the control to validate changes value.

setOnValidate (line 184)

Client-side OnValidate validator event is raise before the validators validation functions are called.

- access: public

void setOnValidate (string $javascript)

- string $javascript: javascript code for client-side OnValidate event.

setOnValidationError (line 212)

Client-side OnError event is raised after validation failure.

This will override the default client-side validator behaviour.

- access: public

void setOnValidationError (string $javascript)

- string $javascript: javascript code for client-side OnError event.

setOnValidationSuccess (line 194)

Client-side OnSuccess event is raise after validation is successfull.

This will override the default client-side validator behaviour.

- access: public

void setOnValidationSuccess (string $javascript)

- string $javascript: javascript code for client-side OnSuccess event.

#### Inherited Methods

Inherited From TCallbackClientSide

> TCallbackClientSide::ensureFunction()
> TCallbackClientSide::getEnablePageStateUpdate()
> TCallbackClientSide::getHasPriority()
> TCallbackClientSide::getOnComplete()
> TCallbackClientSide::getOnException()
> TCallbackClientSide::getOnFailure()
> TCallbackClientSide::getOnInteractive()
> TCallbackClientSide::getOnLoaded()
> TCallbackClientSide::getOnLoading()
> TCallbackClientSide::getOnPreDispatch()
> TCallbackClientSide::getOnSuccess()
> TCallbackClientSide::getOnUninitialized()
> TCallbackClientSide::getPostBackParameter()
> TCallbackClientSide::getPostBackTarget()
> TCallbackClientSide::getPostState()
> TCallbackClientSide::getRequestTimeOut()
> TCallbackClientSide::setEnablePageStateUpdate()
> TCallbackClientSide::setHasPriority()
> TCallbackClientSide::setOnComplete()
> TCallbackClientSide::setOnException()
> TCallbackClientSide::setOnFailure()
> TCallbackClientSide::setOnInteractive()
> TCallbackClientSide::setOnLoaded()
> TCallbackClientSide::setOnLoading()
> TCallbackClientSide::setOnPreDispatch()
> TCallbackClientSide::setOnSuccess()
> TCallbackClientSide::setOnUninitialized()
> TCallbackClientSide::setPostBackParameter()
> TCallbackClientSide::setPostBackTarget()
> TCallbackClientSide::setPostState()
> TCallbackClientSide::setRequestTimeOut()

Inherited From TClientSideOptions

> TClientSideOptions::__construct()
> TClientSideOptions::ensureFunction()
> TClientSideOptions::getOption()
> TClientSideOptions::getOptions()
> TClientSideOptions::setFunction()
> TClientSideOptions::setOption()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:29:28 -0400 by phpDocumentor 1.3.0RC4